#{extends 'borderNG.html' /}

#{set 'titleHead'}
Cari Paket Pencatatan
#{/set}
<div class="container">
    #{cariTabMenu /}
    <div class="content tab-content">
        <form>
        <table class="table table-sm table-bordered">
            <tr>
                <th class="bgwarning" width="10%">Kategori</th>
                <td width="40%"><select name="kategoriId" class="form-control  selectpicker" data-width="auto" title="Pilih Kategori" onchange="javascript:this.form.submit();" >
                    #{list items:kategoriList, as:'item' }
                    <option value="${item.id}" #{if item.id == kategoriId} selected#{/if}>${item.nama}</option>
                    #{/list}
                    <option value="" #{if kategoriId == null} selected #{/if}>Semua</option>
                </select></td>
                <th class="bgwarning" width="10%">Tahun Anggaran</th>
                <td width="40%"><select name="tahun"  class="form-control  selectpicker" data-width="auto" title="Pilih Tahun" onchange="javascript:this.form.submit();" >
                    #{list items:tahunList, as:'item' }
                    <option value="${item}" #{if item == tahun} selected #{/if}>${item}</option>
                    #{/list}
                    <option value="" #{if tahun == null} selected #{/if}>Semua</option>
                </select></td>
            </tr>
        </table>
        </form>
        <div class="tab-pane active">
            <table id="tbllelang" class="table table-sm">
                <thead>
                <tr>
                    <th width="10%">Kode Paket</th>
                    <th width="50%">Nama Paket</th>
                    <th width="30%">K/L/PD</th>
                    <th width="10%">Pagu</th>
                </tr>
                </thead>
            </table>

        </div>
    </div>
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
<style type="text/css">
    .faq-cat-tabs li a {
        background-color: #ffffff;
        border: 1px solid #dddddd;
    }
</style>
#{/set}


#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
    var view  = #{jsRoute @nonSpk.NonSpkCtr.pengumumanNonSpk(':id') /};
    $(document).ready(function() {
        var table = $("#tbllelang").DataTable({
            order: [[ 0, "desc"]],
            ajax: "@{DataTableCtr.NonSpk(kategoriId, tahun)}",
            columns: [null, {render: function(data, type, row) {
                var id = row[0];
                var paket = row[1];
                var version = getLabelSpseVersion(row[7]);
    				var flag = version.flag;
    				var highlight = version.highlight;
    				var versiSpse = '<span class="' + highlight + '">' + flag + '</span>';

                return row[1] = '<a href="'+view.url({id:id})+'" target="_blank">'+ paket +'</a> <span class="badge badge-info">'+row[4]+'</span> ' +
                        versiSpse + '<p style="margin-top:10px;">'+row[5]+' - TA '+row[6]+'</p>';
            }},{orderable:false},null
            ]
        });
        $('#tbllelang_filter input').unbind();
        $('#tbllelang_filter input').bind('keyup', function(e) {
            if(e.keyCode == 13) {
              table.search(this.value).draw();
             }
        });
    } );
</script>
#{/set}